package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : FollowPoolListVO
 * @description : 跟进池
 * @date: 2020-09-23 15:08
 */
@Data
public class FollowPoolListVO {
    private Long id;
    /**
     * 车牌
     */
    private String plateNo;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 是否二次分配
     */
    private Boolean redistribution;
    /**
     * 跟进人员
     */
    private String follower;
    /**
     * 服务站
     */
    private String shopName;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 剩余天数
     */
    private Integer remaining;
    /**
     * 跟进状态
     */
    private Integer state;
    /**
     * 成交时间
     */
    private Date finishTime;
    /**
     * 战败时间
     */
    private Date defeatTime;
    /**
     * 战败类型
     */
    private String defeatType;
    /**
     * 战败描述 （客户流向）
     */
    private String defeatDesc;

    public Integer getRemaining() {
        if (Objects.isNull(remaining)) {
            return null;
        }
        return remaining <= 0 ? 0 : remaining;
    }
}
